Get Worker Syncs
curl --request GET \
--url https://api.jtl-cloud.com/erp/workers \
--header 'Authorization: Bearer <token>' \
--header 'x-tenant-id: <x-tenant-id>'import requests
url = "https://api.jtl-cloud.com/erp/workers"
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-tenant-id': '<x-tenant-id>', Authorization: 'Bearer <token>'}
};
fetch('https://api.jtl-cloud.com/erp/workers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"Identifier": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"SyncName": "Ebay",
"SalesChannelName": "Shop",
"SalesChannelId": "1-1-1",
"ReportProgress": false,
"Configurations": [
{
"Identifier": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"DisplayName": "Create orders",
"DisplayDescription": "Create orders for every Sales",
"Type": "bool",
"CurrentValue": "false",
"IsRequired": false
}
],
"Interval": "00:05:00"
}
]{
"ErrorCode": "<string>",
"ValidationErrors": {},
"Errors": {},
"ErrorMessage": "<string>",
"Stacktrace": "<string>"
}worker
Get Worker Syncs
Returns the Available Syncs of the Worker
GET
/
workers
Get Worker Syncs
Authorizations
oauth2-authorization-codeoauth2-client-credentials
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
The User-Id (int or uuid) on whose behalf the request is executed. Requires scope 'Application.RunAs'.
The tenant ID for the target ERP instance.
Response
The TaxRate for the given Item.
the Name of the Sync
Example:
"Ebay"
The Name of the Sales Channel
Example:
"Shop"
Example:
"1-1-1"
The Sync can Report Progress in Percent
Example:
false
The Configurations
Show child attributes
Show child attributes
The Sync Interval
Example:
"00:05:00"
Was this page helpful?
⌘I